Bug 984274 - [abrt] network-manager-applet-0.9.8.2-1.fc19: _gdk_x11_display_error_event: Process /usr/bin/nm-applet was killed by signal 5 (SIGTRAP) [NEEDINFO]
[abrt] network-manager-applet-0.9.8.2-1.fc19: _gdk_x11_display_error_event: P...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:a128a86dae4b1d1c484c00e5672...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 07:50 EDT by Mark Wilson
Modified: 2015-02-17 11:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:08:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jklimes: needinfo? (dr.mark.wilson)


Attachments (Terms of Use)
File: backtrace (33.96 KB, text/plain)
2013-07-14 07:51 EDT, Mark Wilson
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-14 07:51 EDT, Mark Wilson
no flags Details
File: core_backtrace (1.73 KB, text/plain)
2013-07-14 07:51 EDT, Mark Wilson
no flags Details
File: dso_list (8.87 KB, text/plain)
2013-07-14 07:51 EDT, Mark Wilson
no flags Details
File: environ (1.49 KB, text/plain)
2013-07-14 07:51 EDT, Mark Wilson
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-14 07:51 EDT, Mark Wilson
no flags Details
File: maps (47.37 KB, text/plain)
2013-07-14 07:51 EDT, Mark Wilson
no flags Details
File: open_fds (502 bytes, text/plain)
2013-07-14 07:51 EDT, Mark Wilson
no flags Details
File: proc_pid_status (924 bytes, text/plain)
2013-07-14 07:51 EDT, Mark Wilson
no flags Details
File: var_log_messages (2.63 KB, text/plain)
2013-07-14 07:51 EDT, Mark Wilson
no flags Details
File: xsession_errors (400 bytes, text/plain)
2013-07-14 07:51 EDT, Mark Wilson
no flags Details

  None (edit)
Description Mark Wilson 2013-07-14 07:50:50 EDT
Version-Release number of selected component:
network-manager-applet-0.9.8.2-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/nm-applet
crash_function: _gdk_x11_display_error_event
executable:     /usr/bin/nm-applet
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #2 _gdk_x11_display_error_event at gdkdisplay-x11.c:2556
 #5 handle_error at xcb_io.c:213
 #6 handle_response at xcb_io.c:325
 #7 _XEventsQueued at xcb_io.c:364
 #8 XPending at Pending.c:55
 #9 gdk_check_xpending at gdkeventsource.c:266
 #10 gdk_event_source_check at gdkeventsource.c:303
 #11 g_main_context_check at gmain.c:3545

Potential duplicate: bug 913370
Comment 1 Mark Wilson 2013-07-14 07:51:07 EDT
Created attachment 773274 [details]
File: backtrace
Comment 2 Mark Wilson 2013-07-14 07:51:10 EDT
Created attachment 773275 [details]
File: cgroup
Comment 3 Mark Wilson 2013-07-14 07:51:18 EDT
Created attachment 773276 [details]
File: core_backtrace
Comment 4 Mark Wilson 2013-07-14 07:51:22 EDT
Created attachment 773277 [details]
File: dso_list
Comment 5 Mark Wilson 2013-07-14 07:51:25 EDT
Created attachment 773278 [details]
File: environ
Comment 6 Mark Wilson 2013-07-14 07:51:27 EDT
Created attachment 773279 [details]
File: limits
Comment 7 Mark Wilson 2013-07-14 07:51:31 EDT
Created attachment 773280 [details]
File: maps
Comment 8 Mark Wilson 2013-07-14 07:51:34 EDT
Created attachment 773281 [details]
File: open_fds
Comment 9 Mark Wilson 2013-07-14 07:51:36 EDT
Created attachment 773282 [details]
File: proc_pid_status
Comment 10 Mark Wilson 2013-07-14 07:51:39 EDT
Created attachment 773283 [details]
File: var_log_messages
Comment 11 Mark Wilson 2013-07-14 07:51:45 EDT
Created attachment 773284 [details]
File: xsession_errors
Comment 12 Jirka Klimes 2013-07-15 03:40:08 EDT
This is the X/Gdk problem. It would be good to run nm-applet like this to get better backtrace:

$ GDK_SYNCHRONIZE=1 gdb nm-applet --ex "b gdk_x_error" --ex r --ex "t a a bt"

Note: Please consider installing debuginfo packages: network-manager-applet-debuginfo and gtk3-debuginfo
Comment 13 Fedora End Of Life 2015-01-09 13:54:32 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 11:08:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.